com.r3corda.contracts / InterestRateSwap / Clause / Mature

# Mature

`class Mature : AbstractIRSClause`

### Constructors

<init> | `Mature()`

### Properties

requiredCommands | `val requiredCommands: <ERROR CLASS>` Classes for commands which must ALL be present in transaction for this clause to be triggered

### Inherited Properties

ifMatched | `open val ifMatched: MatchBehaviour` Behaviour if this clause is not matches
ifNotMatched | `open val ifNotMatched: MatchBehaviour` Behaviour if this clause is matched

### Functions

verify | `fun verify(tx: TransactionForContract, inputs: List<State>, outputs: List<State>, commands: Collection<AuthenticatedObject<CommandData>>, token: UniqueIdentifier): Set<CommandData>`

### Inherited Functions

checkLegAmounts | `fun checkLegAmounts(legs: List<CommonLeg>): Unit`
checkLegDates | `fun checkLegDates(legs: List<CommonLeg>): Unit`
checkRates | `fun checkRates(legs: List<CommonLeg>): Boolean`
checkSchedules | `fun checkSchedules(legs: List<CommonLeg>): Boolean`
getFloatingLegPaymentsDifferences | `fun getFloatingLegPaymentsDifferences(payments1: Map<LocalDate, Event>, payments2: Map<LocalDate, Event>): List<<ERROR CLASS><LocalDate, <ERROR CLASS><FloatingRatePaymentEvent, FloatingRatePaymentEvent>>>` Compares two schedules of Floating Leg Payments, returns the difference (i.e. omissions in either leg or changes to the values).